<template>
  <DefaultLayout>
    <div class="devices-homepage">
      <g-image
        class="mb-5 d-lg-none cursor-lg-pointer"
        src="~/assets/img/choose-device.svg"
        alt="choose-device-img"
        @click="toggleChoose"
      />

      <h1 class="mb-2 h3">Find the Linux phone that suits you</h1>
      <h2 class="h5">
        The list on the left shows devices supported by Ubuntu Touch. The
        so-called ‘ports’ for these are maintained by the UBports community, a
        collective of passionate Linux phone users, who devote some of their
        free time, so you can enjoy Ubuntu Touch on your smartphone.
      </h2>

      <h2 class="mb-2 mt-5 h4">
        New: <span class="light"> Filter </span>
        <span class="badge badge-pill device-tag-promoted">
          <g-image
            class="d-inline both-invert"
            src="~/assets/img/symbols/filter.svg"
        /></span>
      </h2>
      <p>
        Device performance may vary from one device to another. However, all
        mature devices have easy access to installation through the UBports
        installer. Devices in an early state generally need to follow a manual
        installation procedure, which might be complicated. We created this
        filter to help you choose the right device for your needs and skills.
        For the majority of our users, we recommend devices in a late
        development stage with cellular support.
      </p>

      <p>Things rarely go badly wrong but if they do ask for our help.</p>

      <h2 class="mb-2 mt-5 h4">Get Help</h2>
      <p>
        UBports is formalized as a charitable foundation, but above all, it is a
        volunteer group. We will listen carefully and respectfully and will try
        to help you as much we can. For any kind of help meet us on our telegram
        <a class="link" href="http://t.me/WelcomePlus/" target="_blank"
          >Welcome & Install</a
        >
        group
      </p>
      <p>
        If you believe we gave you something valuable, you might want to repay
        us by finding a way to contribute; joining to support others would be a
        good start.
      </p>

      <h2 class="mb-2 mt-5 h4">
        When will the device that you have be added to the list?
      </h2>
      <p>
        There are more than 24K different devices out there, which means the
        probability of your particular device becoming available is small. A
        phone is not truly a ‘desktop in your pocket’ but Ubuntu Touch uses the
        Ubuntu OS as its basis. Our best recommendation is that you get one of
        the phones highlighted on the list, so you can enjoy a real world Linux
        Phone experience.
      </p>

      <h2 class="mb-2 mt-5 h4">
        Top choice devices
        <span class="badge badge-pill device-tag-promoted"
          ><g-image
            class="both-invert"
            src="~/assets/img/symbols/promoted-star.svg"
        /></span>
      </h2>

      <p>
        Devices of the following three categories are the ones most likely to
        satisfy your needs over an extended period.
      </p>

      <b>Commercial maintainers</b>
      <p>
        Companies like Volla, FXP and Fairphone offer compatible Ubuntu Phones
        as part of their business. Their reputation rests on preventing any
        major problems and taking a long view. Some devices can even be bought
        with Ubuntu Touch already installed!
      </p>

      <b>Porters with a track record</b>
      <p>
        Some porters have built a reputation for long term commitment and
        competence.
      </p>

      <b>Ubuntu Touch Edition</b>
      <p>
        If you have one of the older devices, they are solid for now. Many in
        our community use them but technical difficulties in updating and closed
        source elements which we can’t access mean that those devices are not a
        good choice for anyone just starting with UT. They are also getting aged
        now and experience hardware faults.
      </p>
      <p>
        If you manage to grab a new generation Ubuntu Touch Edition device like
        the Pinephone Pro or a Volla phone, that will be supported for much
        longer of course.
      </p>

      <h2 class="mb-2 mt-5 h4">Disclaimer</h2>
      <p>
        We borrow software freely provided by others and in turn we share what
        we create. We hope you enjoy Ubuntu Touch and we put our best efforts
        into it with our limited resources. Remember that we have gifted the
        software to you in good faith and the decision to take any risk rests on
        your shoulders. We cannot cover your back if any damage is caused.
      </p>
    </div>
  </DefaultLayout>
</template>

<script>
export default {
  metaInfo: {
    title: "Ubuntu Touch • Linux mobile OS that gives you pure freedom",
    titleTemplate: "%s",
    meta: [
      {
        name: "keywords",
        content: "Linux phone, Ubuntu Phone, Open Source Phone"
      },
      {
        name: "description",
        content:
          "Ubuntu Touch is the open source phone that has freedom and privacy in mind. Supported by dozens of devices, with installer for FOSS fans"
      },
      {
        property: "og:url",
        content: "https://devices.ubuntu-touch.io"
      },
      {
        property: "og:title",
        content: "Ubuntu Touch • Linux Phone"
      },
      {
        property: "og:description",
        content:
          "Ubuntu Touch is the open source phone that has freedom and privacy in mind. Supported by dozens of devices, with installer for FOSS fans"
      }
    ]
  },
  methods: {
    toggleChoose() {
      this.$root.$emit("bv::toggle::collapse", "sidebarCollapse");
    }
  }
};
</script>
